(3)

NAME
boost::numeric::functional::average_base<Left,_Right,_typename_enable_if<_are_integral<_Left,_Right_>_>::type>

SYNOPSIS

// In header: <boost/accumulators/numeric/functional.hpp>
template<typename Left, typename Right>
struct average_base<Left, Right, typename enable_if< are_integral< Left, Right > >::type> :
  public boost::numeric::functional::divides< double const, double const  >
{
};